=== manual/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 default:dvi
 
 clean:
-	-rm -fr manual.dvi manual.ps manual.pdf *.eps *.png *.aux manual
+	-rm -fr manual.dvi manual.ps manual.pdf *.eps *.aux *.out *.toc *.log *.png *.aux manual
 
 all:
 	make clean
@@ -17,7 +17,7 @@
 	make dvi
 	make ps
 
-src=$(wildcard *.tex) pyxversion.tex
+src=$(wildcard *.tex) pyxversion.tex pyxdate.tex
 
 dvi:manual.dvi
 ps:manual.ps
@@ -45,11 +45,14 @@
 pyxversion.tex: ../pyx/version.py
 	python -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.version+'%'" > pyxversion.tex
 
+pyxdate.tex: ../pyx/version.py
+	python -c "import sys;sys.path[:0]=[\"..\"];import pyx.version;print pyx.version.date+'%'" > pyxdate.tex
+
 eps: $(patsubst %.py, %.eps, $(wildcard *.py))
 png: $(patsubst %.py, %.png, $(wildcard *.py))
 
 %.eps: %.py
-	export PYTHONPATH=$(PWD)/.. ; python $^
+	export PYTHONPATH=$(CURDIR)/.. ; python $^
 
 %.png: %.eps
 	gs -dEPSCrop -dNOPAUSE -dQUIET -dBATCH -sDEVICE=png16m -sOutputFile=$@ -r600 $^
