=== debian/control ===
Source: pyx
Maintainer: Stuart Prescott <stuart+debian@nanonanonano.net>
Standards-Version: 3.9.2
Section: python
Priority: optional
Build-Depends: debhelper (>= 8.9.5~),
          python-all-dev (>= 2.6.6-3~),
          libkpathsea-dev,
          python,
          texlive-latex-base
Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg),
          python-imaging,
          ghostscript,
          texlive-latex-extra,
          texlive-latex-recommended,
          texlive-fonts-recommended,
          tipa
Homepage: http://pyx.sourceforge.net/
DM-Upload-Allowed: yes

Package: python-pyx
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Recommends: texlive-latex-base
Suggests: python-pyx-doc,
          python-imaging,
          texlive-fonts-recommended
Provides: ${python:Provides}
Description: Python module for generating PostScript graphics
 PyX is a Python module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 The module provides access to PostScript features such as paths,
 line-styles, fill patterns, transformations, and clipping. Geometric
 operations on paths such as intersections, transformations, and splitting
 are also supported.
 .
 PyX also allows flexible graph generation with many different graph and
 axis styles.

Package: python-pyx-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: pdf-viewer
Description: Python module for generating PostScript graphics (documentation)
 PyX is a Python module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 This package contains the manual for PyX in PDF and HTML formats and examples.
