=== manual/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@echo "Done."
 
 clean:
-	-rm -rf $(BUILDDIR)/* *.eps *.pdf *.png
+	-rm -rf $(BUILDDIR)/* *.pdf *.png
 
 html: figs
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
@@ -36,4 +36,4 @@
 
 %.png: %.py
 	export PYTHONPATH=$(CURDIR)/.. ; $(PYTHON) $^
-	$(PYTHON) ../contrib/epstopng.py -o $@ $*.eps
+	$(PYTHON) ../contrib/epstopng.py -o $@ $*.pdf
