=== debian/changelog ===
pyx (0.12.1-9) unstable; urgency=medium

  * Switch autopkgtest tests to use python-pil.
  * Fix examples for PIL.
  * Update Standards-Version to 4.1.3 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Jan 2018 19:06:26 +1100

pyx (0.12.1-8) unstable; urgency=medium

  * Add a build-dependency on latexmk for use with sphinx 1.6 (Closes: #872243)
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 29 Aug 2017 21:45:28 +1000

pyx (0.12.1-7) unstable; urgency=medium

  * Switch to using python-pil rather than python-imaging (Closes: #866473).
  * Update Standards-Version to 4.0.0 (no changes required)

 -- Stuart Prescott <stuart@debian.org>  Mon, 03 Jul 2017 03:05:19 +1000

pyx (0.12.1-6) unstable; urgency=medium

  * Add build-dependency on texlive-generic-extra (Closes: #828981).

 -- Stuart Prescott <stuart@debian.org>  Fri, 01 Jul 2016 01:44:53 +1000

pyx (0.12.1-5) unstable; urgency=medium

  * Add patches to make build reproducible (timestamps,randomness)
    with thanks to Alexis Bienvenüe (Closes: #825881)
  * Bump standards version to 3.9.8 (no changes required).
  * Change tostring() calls to tobytes() calls for recent PIL

 -- Stuart Prescott <stuart@debian.org>  Fri, 03 Jun 2016 23:47:02 +1000

pyx (0.12.1-4) unstable; urgency=medium

  * Make use of mathjax in sphinx documentation.
  * Fix targets in debian/rules for arch:all buildds.
  * Add build-dependency on dh-python.
  * Bump standards version to 3.9.6 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Fri, 23 Oct 2015 00:02:46 +1100

pyx (0.12.1-3) unstable; urgency=medium

  * Update packaging to reflect that newer versions of pyx support only
    python 3 and that they are separately packaged in the pyx3 source package.
  * Update package descriptions to highlight that this is the python 2 version
    of pyx.
  * Disable watch file since this package is tracking the obsolete branch.
  * Add autopkgtest tests.
  * Update standards version to 3.9.5 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 31 May 2014 18:25:57 +1000

pyx (0.12.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Sun, 19 May 2013 16:50:09 +1000

pyx (0.12.1-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address.
  * Update copyright format URL.
  * Bump standards version to 3.9.4 (no changes required).
  * Drop postinst that was needed for lenny->squeeze upgrades.

 -- Stuart Prescott <stuart@debian.org>  Mon, 17 Dec 2012 13:45:12 +0000
