=== debian/control ===
Source: pyx
Maintainer: Stuart Prescott <stuart@debian.org>
Standards-Version: 4.1.3
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 libkpathsea-dev,
 python,
 python-all-dev (>= 2.6.6-3~),
 texlive-latex-base
Build-Depends-Indep:
 ghostscript,
 latexmk,
 libjs-mathjax,
 python-pil,
 python-sphinx (>= 1.0.7+dfsg),
 texlive-fonts-recommended,
 texlive-generic-extra,
 texlive-latex-extra,
 texlive-latex-recommended,
 tipa
Homepage: http://pyx.sourceforge.net/

Package: python-pyx
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 texlive-latex-base
Suggests:
 python-pil,
 python-pyx-doc,
 texlive-fonts-recommended
Provides:
 ${python:Provides}
Description: Python 2 module for generating PostScript graphics
 PyX is a Python 2 module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 The module provides access to PostScript features such as paths,
 line-styles, fill patterns, transformations, and clipping. Geometric
 operations on paths such as intersections, transformations, and splitting
 are also supported.
 .
 PyX also allows flexible graph generation with many different graph and
 axis styles.
 .
 Development of this Python 2 version of PyX has ceased. Use the python3-pyx
 package for a version of PyX compatible with Python 3.

Package: python-pyx-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 pdf-viewer
Description: Python 2 module for generating PostScript graphics (documentation)
 PyX is a Python 2 module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 This package contains the manual for PyX in PDF and HTML formats and examples.
 .
 See the python3-pyx package for a version of PyX compatible with Python 3.
