=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

lfs:
	cd pyx/data/lfs; python createlfs.py

doc: lfs
	make -C faq all
	make -C manual all

override_dh_auto_clean:
	make -C faq clean
	make -C manual clean
	rm -rf manual/_build faq/_build
	cd pyx/data/lfs; rm -f *.lfs *.aux *.log
	dh_auto_clean

override_dh_auto_build-indep: doc

override_dh_auto_build-arch: lfs
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/tmp/usr/lib/python2.*/*-packages/pyx/data/lfs/createlfs.*

override_dh_installdocs-indep:
	mv manual/_build/html/ manual/_build/manual/
	mv faq/_build/html/ faq/_build/faq/
	dh_installdocs -Xobjects.inv
	ln -sf /usr/share/javascript/mathjax/ \
	  debian/python-pyx-doc/usr/share/doc/python-pyx-doc/manual/_static/mathjax
	dh_sphinxdoc

override_dh_compress:
	dh_compress --all -X.pdf

override_dh_fixperms:
	dh_fixperms
	find debian/python-pyx-doc/usr/share/doc/python-pyx-doc/examples/ \
		-type f -print0 | \
		xargs -0r chmod 0644

.PHONY: doc
