=== debian/tests/control ===
Tests: python-pyx-examples
Depends: python-pyx,
  findutils,
  ghostscript,
  imagemagick,
  python-pil,
  texlive-fonts-recommended,
  texlive-latex-base
